#!/usr/bin/env python

def munge(address):
    """Convert an email address into a Javascript program. The
    results preserve the clickable nature of mailto: links."""
    # Enable the mailto link:
    address = "<a href='mailto:{A}'>{A}</a>".format(A=address)
    # Encode:
    encoding = [str(ord(c)) for c in address]
    encoding = r",".join(encoding)
    # Output code:
    return """<script type="text/javascript"><!--
// email address obfusctator adapted from code by Tim Williams
{{document.write(String.fromCharCode({}))}}
//-->
</script>""".format(encoding)



if __name__ == '__main__':

    print(munge("example@stanford.edu"))
